curl --location --request POST 'https://api-prod.extend.app/v1/workflow_runs' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_TOKEN>' \
--data '{
"workflowId": "workflow_1234",
"version": "1",
"files": [{
"fileName":"example_file_name",
"fileUrl":"https://test.s3.amazonaws.com/example+file+name.pdf"
}],
"name": "test_workflow",
"metadata": {
"internal_id": "id_1234"
}
}'
{
"success": true,
"workflowRuns": [
{
"object": "workflow_run",
"id": "workflow_run_1234",
"status": "PENDING",
"metadata": {
"internal_id": "id_1234"
},
"initialRunAt": "2023-01-01T09:41:00.000Z",
"outputs": [],
"workflow": {
"object": "workflow",
"id": "workflow_1234",
"name": "test_workflow",
"version": "1"
}
}
]
}
Endpoints
Run Workflow
Once a workflow has been created on the Extend Platform, this endpoint can be used to send file(s) to be run.
curl --location --request POST 'https://api-prod.extend.app/v1/workflow_runs' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_TOKEN>' \
--data '{
"workflowId": "workflow_1234",
"version": "1",
"files": [{
"fileName":"example_file_name",
"fileUrl":"https://test.s3.amazonaws.com/example+file+name.pdf"
}],
"name": "test_workflow",
"metadata": {
"internal_id": "id_1234"
}
}'
{
"success": true,
"workflowRuns": [
{
"object": "workflow_run",
"id": "workflow_run_1234",
"status": "PENDING",
"metadata": {
"internal_id": "id_1234"
},
"initialRunAt": "2023-01-01T09:41:00.000Z",
"outputs": [],
"workflow": {
"object": "workflow",
"id": "workflow_1234",
"name": "test_workflow",
"version": "1"
}
}
]
}
Body
string
required
The ID of the workflow that files will be run through. This ID can be fetched
from viewing the workflow on the Extend platform.
File[]
string[]
An array of raw strings. Can be used in place of files when passing raw data.
The raw data will be converted to .txt files and run through the workflow. If
the data follows a specific format, it is recommended to use the files
parameter instead. Either files or rawTexts must be provided.
string
An optional name that can be assigned to a specific WorkflowRun.
string
An optional version of the workflow that files will be run through. This
number can be found when viewing the workflow on the Extend platform. When a
version number is not supplied, the most recent version of the workflow will
be used. To run the “draft” version of a workflow, use “draft” as the version.
any
An optional object that can be passed in to identify the WorkflowRun. It will be returned in the response and webhooks.
Response
boolean
A true or false value for whether the workflow run was created successfully or not.
WorkflowRun[]
An array of WorkflowRun objects, with each WorkflowRun corresponding to a
single File that was passed in.
object
Hide properties
Hide properties
string
The type of response, in this case it will always be “workflow_run”.
string
An ID corresponding to a specific File x Workflow combination representing the specific WorkflowRun for a File.
string
The status of a WorkflowRun. This will always be “PENDING” as the WorkflowRun has just started.
any
The metadata that was passed in when running the Workflow.
string
The time (in UTC) at which the workflow was started.
array
An array of outputs that were generated by the WorkflowRun. This will be empty as the WorkflowRun has just started.
curl --location --request POST 'https://api-prod.extend.app/v1/workflow_runs' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_TOKEN>' \
--data '{
"workflowId": "workflow_1234",
"version": "1",
"files": [{
"fileName":"example_file_name",
"fileUrl":"https://test.s3.amazonaws.com/example+file+name.pdf"
}],
"name": "test_workflow",
"metadata": {
"internal_id": "id_1234"
}
}'
{
"success": true,
"workflowRuns": [
{
"object": "workflow_run",
"id": "workflow_run_1234",
"status": "PENDING",
"metadata": {
"internal_id": "id_1234"
},
"initialRunAt": "2023-01-01T09:41:00.000Z",
"outputs": [],
"workflow": {
"object": "workflow",
"id": "workflow_1234",
"name": "test_workflow",
"version": "1"
}
}
]
}

